      subroutine CONTIN(CCODE)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'INPAR.INC'
      real RESULT
      integer CCODE,EOF,ERROR,INUNIT,IMBED,IT,ITEMP,IHELP
      character TUNIT(4)*6, DELIM*1
      character REQFMT*19
      data REQFMT/'(1X,''or Quit-> ''  )'/
      data DELIM,TUNIT/' ','Hours ','Days  ','Months','Years'/
      CCODE = 1
      INUNIT = TTYIN(MACHNO)
      if (MODEG.eq.3) go to 150
100   continue
      write (TTYOUT(MACHNO),5000) TENDG,TUNIT(TCODEG)
5000  format (//,' Initial time for integration will be ',F14.1,1X,A6,/,
     &   ' Enter ending time of integration, Help,')
      REQFMT(17:18) = CRSTOP(MACHNO)
      write (TTYOUT(MACHNO),REQFMT)
      call INREC (EOF,INUNIT,INPUT)
      START = IMBED(INPUT,0)
      if (START.eq.-999) go to 100
      call SKAN (INPUT,START,STOPIT,TYPE,DELIM,1)
      if (TYPE.eq.100) go to 110
      IT = IHELP(IT)
      if (IT.ne.0) go to 140
      STOPIT = 0
      START = 1
      call GETNUM (ERROR,RESULT)
      if (ERROR.eq.0) go to 120
      if (ERROR.eq.1) go to 100
110   continue
      write (TTYOUT(MACHNO),5010)
5010  format (/1X,'Unrecognized response; no action taken.')
      go to 160
120   continue
      if (RESULT.gt.TENDG) go to 130
      write (TTYOUT(MACHNO),5020)
5020  format (//1X,'Ending time must be greater than initial time.')
      go to 100
130   continue
      TINITG = TENDG
      TENDG = RESULT
      CCODE = 0
      go to 160
140   continue
      if (IT.eq.1) write (TTYOUT(MACHNO),5030)
      if (IT.eq.2) go to 160
5030  format (//' HELP requested.')
      go to 100
150   continue
      CCODE = 0
      if (NYEARG.lt.1) NYEARG = 1
      ITEMP = LASTYR+NYEARG
      write (TTYOUT(MACHNO),5040) ITEMP
5040  format (' CONTinuing integration through 31 December ',I4,'.')
160   continue
      return
      end
